import { jsxs as a, jsx as r } from "react/jsx-runtime";
import { useDynamicImport as n } from "./index-use-dynamic-import.js";
import { StyledSVG as c } from "./index-StyledSVG.js";
import l from "./index-_virtual4.js";
import "react";
import o from "./index-QuoteContainer.module.scss.js";
const N = ({
  children: s,
  className: e
}) => {
  const {
    SvgIcon: t,
    loading: m,
    error: i
  } = n("QuoteMarks.svg");
  return a("div", {
    className: l(o.quoteContainer, e),
    children: [r("div", {
      className: o.body,
      children: s
    }), !m && !i && r("div", {
      className: o.quoteMarks,
      children: r(c, {
        src: t
      })
    })]
  });
};
export {
  N as QuoteContainer
};
